com.versionone.utils

## Class HashCode

- java.lang.Object
- - com.versionone.utils.HashCode

-     public class HashCode
      extends Object

  Generate good hashcode from integer data. Adapted from Paul Hsieh's SuperFastHash. http://www.azillionmonkeys.com/qed/hash.html

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashCode()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static int` | `Hash(byte[] data)`
    `static int` | `Hash(int data1)`
    `static int` | `Hash(int[] data)`
    `static int` | `Hash(int data1, int data2)`
    `static int` | `Hash(int data1, int data2, int data3)`
    `static int` | `Hash(Object data1)`
    `static int` | `Hash(Object[] data)`
    `static int` | `Hash(Object data1, Object data2)`
    `static int` | `Hash(Object data1, Object data2, Object data3)`
    `static int` | `Hash(String data)`
    `void` | `Mix(int data)`
    `void` | `Mix(Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashCode

          public HashCode()

  - ### Method Detail

    - #### Hash

          public static int Hash(int data1)

    - #### Hash

          public static int Hash(Object data1)

    - #### Hash

          public static int Hash(int data1,
                                 int data2)

    - #### Hash

          public static int Hash(Object data1,
                                 Object data2)

    - #### Hash

          public static int Hash(int data1,
                                 int data2,
                                 int data3)

    - #### Hash

          public static int Hash(Object data1,
                                 Object data2,
                                 Object data3)

    - #### Hash

          public static int Hash(int[] data)

    - #### Hash

          public static int Hash(byte[] data)

    - #### Hash

          public static int Hash(Object[] data)

    - #### Hash

          public static int Hash(String data)

    - #### Mix

          public void Mix(int data)

    - #### Mix

          public void Mix(Object data)

    - #### getValue

          public int getValue()

Copyright © 2016 VersionOne, Inc.. All rights reserved.